On this page
No Headings
Deprecation notice: TheMarks the status of an invoice, by ID, as paid./v1/invoicesendpoint is deprecated. Use the/v2/invoicesendpoint instead. For details, see PayPal Invoicing Basic Integration.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicingThe ID of the invoice for which to generate a QR code.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.paypal.com/v1/invoicing/v1/invoicing/invoices/string/record-payment" \ -H "Content-Type: application/json" \ -d '{ "method": "BANK_TRANSFER" }'{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The date when the invoice was paid, in Internet date and time format.
date-timeThe payment mode or method.
"BANK_TRANSFER" | "CASH" | "CHECK" | "CREDIT_CARD" | "DEBIT_CARD" | "PAYPAL" | "WIRE_TRANSFER" | "OTHER"A note associated with the payment.
The payment amount to record against the invoice. If you omit this parameter, the total invoice amount is marked as paid. This amount cannot exceed the amount due.